## class CreateEdgeCmd : public Command

> command class for creating edges.

## Inheritance:

### Public Methods

  | CreateEdgeCmd (GShape *from)
  virtual | ~CreateEdgeCmd ()
  void | TrackMouse (TrackType aPhase, Point *anchorPoint, Point *previousPoint, Point *nextPoint)
  void | Execute ()
  void | UnExecute ()
  void | ReExecute ()
  void | Abort ()
  const char* | GetName () const

### Protected Methods

  void | AddPoint (Point *pt)
  void | EraseLines ()

### Inherited from Command:

### Public Classes

enum TrackType

### Public Methods

bool CmdDone() const
int ScaleCorrect(int x) const
Point ScaleCorrect(const Point *pt) const
int Scale(int x) const
Point Scale(const Point *pt) const
void SayAborted()

### Protected Methods

void SayCommited()
void SayUndone()
DrawWindow* GetMainWindow() const
Viewer* GetViewer() const
Document* GetDocument() const
Grafport* GetGrafport() const
void SetCmdDone(bool b)

## Documentation

> command class for creating edges.

`CreateEdgeCmd(GShape *from)`

`virtual ~CreateEdgeCmd()`

`void TrackMouse(TrackType aPhase, Point *anchorPoint, Point *previousPoint, Point *nextPoint)`

`void Execute()`

`void UnExecute()`

`void ReExecute()`

`void Abort()`

`const char* GetName() const`

`void AddPoint(Point *pt)`

`void EraseLines()`

This class has no child classes.

alphabetic index hierarchy of classes

this page has been generated automatically by doc++

(c)opyright by Malte Zöckler, Roland Wunderling
contact: doc++@zib.de